@charset "utf-8";
/* 日历 */

.calendar-container {
  width: 100%;
  margin: 0 auto;
  text-align: center;
}
.calendar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
  background-color: #f5f5f5;
  padding:16px 20px;
  border-radius: 20px 20px 0 0;
}
.calendar-header .icon{
  font-size:24px;
  color:#999;
  line-height:28px;
  cursor: pointer;
}
.calendar-header .title{
  font-size:22px;
  color:#333;
  line-height:28px;
  font-family: 'HalyardRegular';
}
.calendar-body {
  display: flex;
  flex-direction: column;
}
.weekdays,
#calendar-days {
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  font-size:16px;
  color:#000;
}
.weekdays{font-family: 'HalyardRegular';}
#calendar-days {font-family: 'HalyardRegular';}
.weekdays div:nth-child(7n + 1),
#calendar-days div:nth-child(7n + 1) {
  margin-left: 0;
}
.weekdays div,
#calendar-days div {
  width: 13%; /* 7天，所以每个占1/7的宽度 */
  box-sizing: border-box;
  height:52px;
  margin-left: 1.5%;
  margin-bottom: 1.5%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#calendar-days div {
  background-color: #f5f6f8;
  border-radius: 6px;
  cursor: pointer;
}
.today {
  background-color: #000000 !important; /* 高亮当前日期 */
  color: #fff;
}
.event {
  position: relative;
}
.event::after {
  content: "";
  position: absolute;
  bottom: 6px;
  left: 50%;
  transform: translateX(-50%);
  color: black;
  border-radius:50%;
  width:4px;
  height:4px;
  background-color:#000;
}
.event.today::after {
  background-color:#fff;
}

/* 为左右箭头按钮添加特定的样式（如果需要的话） */
#prevPage,
#nextPage {
  font-size: 20px; /* 增大字体以更好地显示箭头 */
  padding: 10px; /* 根据需要调整内边距 */
}
/* table多级 */
.has-submenu .arrow-icon {
  position: absolute;
  right: 10px; /* 将箭头定位到列表项的右侧 */
  transition: transform 0.3s ease; /* 添加过渡效果 */
}
.has-submenu:hover .submenu {
  display: block;
}

.arrow-icon.rotated {
  transform: rotate(90deg);
  transition: transform 0.3s ease; /* 添加过渡效果 */
}

@media(max-width:1560px){
    .calendar-header {
      margin-bottom: 4px;
      padding:12px 16px;
      border-radius: 16px 16px 0 0;
  }
  .calendar-header .icon{
    font-size:20px;
    line-height:24px;
  }
  .calendar-header .title{
    font-size:20px;
    line-height:24px;
  }
  .weekdays div,
  #calendar-days div {
    height:40px;
  }
}
@media(max-width:1280px){
    .calendar-header {
      margin-bottom: 4px;
      padding:8px 12px;
      border-radius: 12px 12px 0 0;
  }
  .calendar-header .icon{
    font-size:16px;
    line-height:24px;
  }
  .calendar-header .title{
    font-size:18px;
    line-height:24px;
  }
  .weekdays,
  #calendar-days {
    font-size:14px;
  }
  .weekdays div,
  #calendar-days div {
    height:36px;
  }

  .event::after {
    bottom: 4px;
    width:3px;
    height:3px;
  }
}
